Loading...
Searching...
No Matches
RDKit::MolStandardize::Tautomer Class Reference

`#include <Tautomer.h>`

## Public Member Functions

| Tautomer ()
| Tautomer (ROMOL_SPTR t, size_t a=0, size_t b=0)
| Tautomer (ROMOL_SPTR t, ROMOL_SPTR k, size_t a=0, size_t b=0)
const ROMOL_SPTR & | getKekulized () const

## Public Attributes

ROMOL_SPTR | tautomer
ROMOL_SPTR | kekulized

## Friends

class | TautomerEnumerator

## Detailed Description

Definition at line 148 of file MolStandardize/Tautomer.h.

## Constructor & Destructor Documentation

## Tautomer() [1/3]

RDKit::MolStandardize::Tautomer::Tautomer | ( |  | ) |

inline

Definition at line 152 of file MolStandardize/Tautomer.h.

## Tautomer() [2/3]

RDKit::MolStandardize::Tautomer::Tautomer | ( | ROMOL_SPTR | t,
|  | size_t | a = 0,
|  | size_t | b = 0 )

inline

Definition at line 154 of file MolStandardize/Tautomer.h.

References tautomer.

## Tautomer() [3/3]

RDKit::MolStandardize::Tautomer::Tautomer | ( | ROMOL_SPTR | t,
|  | ROMOL_SPTR | k,
|  | size_t | a = 0,
|  | size_t | b = 0 )

inline

Definition at line 160 of file MolStandardize/Tautomer.h.

References kekulized, and tautomer.

## Member Function Documentation

## getKekulized()

const ROMOL_SPTR & RDKit::MolStandardize::Tautomer::getKekulized | ( |  | ) | const

inline

Definition at line 170 of file MolStandardize/Tautomer.h.

References RDKit::MolOps::Kekulize(), kekulized, and tautomer.

## Friends And Related Symbol Documentation

## TautomerEnumerator

friend class TautomerEnumerator

friend

Definition at line 149 of file MolStandardize/Tautomer.h.

References TautomerEnumerator.

Referenced by TautomerEnumerator.

## Member Data Documentation

## kekulized

ROMOL_SPTR RDKit::MolStandardize::Tautomer::kekulized

mutable

Definition at line 167 of file MolStandardize/Tautomer.h.

Referenced by getKekulized(), and Tautomer().

## tautomer

ROMOL_SPTR RDKit::MolStandardize::Tautomer::tautomer

Definition at line 166 of file MolStandardize/Tautomer.h.

Referenced by getKekulized(), Tautomer(), and Tautomer().

The documentation for this class was generated from the following file:

- MolStandardize/Tautomer.h